MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027247Open CASCADE[OCCT] OCCT:Codingpublic2016-03-11 07:202016-04-20 15:49
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027247: Eliminate remaining compiler warnings in MFC samples and with OCCT_DEBUG
DescriptionSome compiler warnings still remain in MFC samples and with OCCT_DEBUG, to be eliminated
Steps To ReproduceBuild OCCT with OCCT_DEBUG enabled, and MFC samples using VS 2015
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0051539)
git (administrator)
2016-03-11 07:24

Branch CR27247 has been created by abv.

SHA-1: 5ade43f4acbeb68ab54af450775277fd0b3ca5ba


Detailed log of new commits:

Author: abv
Date: Fri Mar 11 07:23:55 2016 +0300

    0027247: Eliminate remaining compiler warnings in MFC samples and with OCCT_DEBUG
    
    Unsafe and useless casts of handles are eliminated
(0051540)
abv (manager)
2016-03-11 07:25

Fix pushed to CR27247, please review
(0051595)
mkv (tester)
2016-03-14 15:00

Dear BugMaster,
Branch CR27247 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5ade43f4acbeb68ab54af450775277fd0b3ca5ba

Number of compiler warnings on Release mode:
occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)
MFC Samples Windows: 0 (38 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)

Number of compiler warnings on Debug mode:
occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90066954 / 90492662 [-0.47%]
Total CPU difference: 19500.88999999997 / 19575.36000000011 [-0.38%]
products component :
Total MEMORY difference: 25923447 / 25882280 [+0.16%]
Total CPU difference: 5382.419999999991 / 5317.479999999984 [+1.22%]

Testing on Windows:
occt component :
Total MEMORY difference: 57792138 / 57106142 [+1.20%]
Total CPU difference: 19055.397349199044 / 17710.091525498752 [+7.60%]
products component :
Total MEMORY difference: 17942533 / 17395600 [+3.14%]
Total CPU difference: 4964.56022389994 / 5095.257861699954 [-2.57%]

There are no differences in images found by testdiff.
(0051596)
mkv (tester)
2016-03-14 15:00

Dear BugMaster,
Branch CR27247 is TESTED.
(0052823)
git (administrator)
2016-04-17 13:07

Branch CR27247 has been deleted by kgv.

SHA-1: 5ade43f4acbeb68ab54af450775277fd0b3ca5ba

- Related Changesets
occt: master e91fd025
Timestamp: 2016-03-11 04:23:55
Author: abv
Committer: abv
Details ] Diff ]
0027247: Eliminate remaining compiler warnings in MFC samples and with OCCT_DEBUG

Unsafe and useless casts of handles are eliminated
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Commands.cxx Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/Convert_Presentation.cpp Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_PaveSet.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-11 07:20 abv New Issue
2016-03-11 07:20 abv Assigned To => kgv
2016-03-11 07:24 git Note Added: 0051539
2016-03-11 07:25 abv Note Added: 0051540
2016-03-11 07:25 abv Status new => resolved
2016-03-11 08:22 kgv Assigned To kgv => bugmaster
2016-03-11 08:22 kgv Status resolved => reviewed
2016-03-11 11:47 mkv Assigned To bugmaster => mkv
2016-03-14 15:00 mkv Note Added: 0051595
2016-03-14 15:00 mkv Note Added: 0051596
2016-03-14 15:00 mkv Assigned To mkv => bugmaster
2016-03-14 15:00 mkv Status reviewed => tested
2016-03-14 15:01 mkv Test case number => Not needed
2016-03-21 14:58 abv Changeset attached => occt master e91fd025
2016-03-21 14:58 abv Assigned To bugmaster => abv
2016-03-21 14:58 abv Status tested => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052823
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker